#   Open source under the BSD License. 
#   Copyright © 2020 Alexander Columbus
#   http://www.the-passenger.it
#   All rights reserved.

__author__      = "Alexander Columbus"
__copyright__   = "Copyright (C) 2020 Alexander Columbus"
__license__     = "Open source under BSD License"
__version__     = "1.0"

import os

# inizializzo i percorsi
BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
BASE_DIR = BASE_DIR + "\converti-in-webp\\"

originali = BASE_DIR + "originali\\"
compressi = BASE_DIR + "compressi\\"
 

# leggo tutti i file all'interno della directory selezionata
directories = os.listdir( originali )
 
 
# visualizzo a schermo l'elenco dei file nella directory
# li converto e li salvo all'interno della cartella di destinazione
for file in directories:

    command = "cwebp " + originali + file + " -o " + compressi + file[:-3] + "webp"

    print( command )
   
    res = os.system( command )
   
    #the method returns the exit status
    print("Valori: ", res)
    
    
    
    
    
    
    
    
    
    
    
    
    
   